// @ts-nocheck
import './SocialsShare.css';
import React from 'react';
import { FacebookShareButton, LinkedinShareButton, TwitterShareButton, } from 'react-share';
import { IconFacebook } from '../../icons/IconFacebook/IconFacebook';
import { IconLinkedin } from '../../icons/IconLinkedin/IconLinkedin';
import { IconTwitter } from '../../icons/IconTwitter/IconTwitter';
import { cn } from '../../utils/bem';
import { SocialButton } from '../SocialButton/SocialButton';
import { Typography } from '../Typography';
export var cnSocialsShare = cn('SocialsShare');
export var SocialsShare = function (_a) {
    var url = _a.url, title = _a.title;
    return (React.createElement("div", { className: cnSocialsShare() },
        title && (React.createElement("div", { className: cnSocialsShare('Title') },
            React.createElement(Typography.Text, { weight: "bold", size: "xs", transform: "uppercase" }, title))),
        React.createElement("div", { className: cnSocialsShare('List') },
            React.createElement(FacebookShareButton, { url: url },
                React.createElement(SocialButton, { icon: IconFacebook, as: "div" })),
            React.createElement(TwitterShareButton, { url: url },
                React.createElement(SocialButton, { icon: IconTwitter, as: "div" })),
            React.createElement(LinkedinShareButton, { url: url },
                React.createElement(SocialButton, { icon: IconLinkedin, as: "div" })))));
};
